> For a complete page index, fetch https://docs.transak.com/llms.txt # Create Order (New Account) POST https://api-gateway-stg.transak.com/api/v2/orders Content-Type: application/json The **Create Order (New Account)** is an **authenticated API** that places a **crypto buy order** using ACH Pull, based on the `requestId` returned once the user completes the bank-linking flow in Transak SDK. Reference: https://docs.transak.com/api/whitelabel/payments/headless-ach-pull/create-order-for-ach-pull ## Request ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section). - `authorization` (string, optional) — Authorization token is the accessToken received from the API -` api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance) - `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) - `x-user-identifier` (string, optional) — The authenticated user's email address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance). ### Body (application/json) This endpoint expects a CreateOrderRequest. - `requestId` (string, required) — Request ID returned once the user completes the ACH Pull bank-linking flow in Transak SDK. ## Response ### 200 Success - `data` (OrderCreatedResponseData, required) — Order details returned after processing the ACH Pull transaction session. ## Errors ### 409 Conflict Error Conflict - `error` (ApiErrorBodyError, required) ### 422 Unprocessable Entity Error Unprocessable Entity - `error` (ApiErrorBodyError, required) ### 500 Internal Server Error Internal Server Error - `error` (ApiErrorBodyError, required) ## Types ### OrderCreatedResponseData Order details returned after processing the ACH Pull transaction session. - `orderId` (string, required) — Unique identifier for the created order. - `status` (string, required) — Current order status. - `isBuyOrSell` (string, required) — Indicates whether the order is a BUY or SELL. - `fiatCurrency` (string, required) — Fiat currency used for the order. - `cryptoCurrency` (string, required) — Crypto asset being purchased. - `paymentMethod` (string, required) — Payment method used. Always `pm_ach_pull` for this flow. - `network` (string, required) — Blockchain network for the crypto asset. - `fiatAmount` (double, required) — Fiat amount for the order. - `fiatAmountInUsd` (double, required) — Fiat amount converted to USD. - `cryptoAmount` (double, required) — Crypto amount the user will receive. - `paymentDetails` (list of OrderCreatedResponseDataPaymentDetailsItems, optional) — Payment method specific details. Empty for ACH Pull orders. - `partnerUserId` (string, optional) — Partner's user identifier associated with this order. - `networkId` (string, optional) — Chain ID of the network. - `walletAddress` (string, optional) — Destination wallet address for the crypto. - `quoteId` (string, optional) — Quote ID used to create this order. - `amountPaid` (double, optional) — Amount already paid by the user. - `conversionPrice` (double, optional) — Fiat-to-crypto conversion rate. - `totalFeeInFiat` (double, optional) — Total fee charged in fiat currency. - `txHash` (string, optional) — Blockchain transaction hash. Empty until the transaction is confirmed on-chain. - `walletLink` (string, optional) — Block explorer link for the wallet address. - `transactionLink` (string, optional) — Block explorer link for the transaction. - `addressAdditionalData` (OrderCreatedResponseDataAddressAdditionalData, optional) ### ApiErrorBodyError - `statusCode` (integer, required) - `message` (string, required) - `errorCode` (integer, optional) — Machine-readable error code for client handling. ### OrderCreatedResponseDataPaymentDetailsItems - `fiatCurrency` (string, optional) - `fields` (string, optional) — Payment method specific fields (may be truncated). - `name` (string, optional) — Display name of the payment method. - `paymentMethod` (string, optional) — Payment method identifier. - `redirectUrl` (string, optional) — URL to redirect the user for payment authentication. ### OrderCreatedResponseDataAddressAdditionalData - `name` (string, optional) - `displayName` (string, optional) - `value` (string, optional) - `requestId` (string, optional) ## Examples **Request** ```json { "requestId": "" } ``` **Response** ```json { "data": { "orderId": "05948292-8197-422c-aace-389f1ceada7e", "status": "PROCESSING", "isBuyOrSell": "BUY", "fiatCurrency": "USD", "cryptoCurrency": "ETH", "paymentMethod": "pm_ach_pull", "network": "ethereum", "fiatAmount": 35, "fiatAmountInUsd": 35, "cryptoAmount": 0.01886824, "paymentDetails": [], "partnerUserId": "d4adf359-2348-4adc-b812-2340ff16c12c", "networkId": "", "walletAddress": "0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce", "quoteId": "6883897c-1453-461d-8d92-5f092d352e9b", "amountPaid": 35, "conversionPrice": 0.0005583971767438745, "totalFeeInFiat": 1.21, "txHash": "", "walletLink": "https://sepolia.etherscan.io/address/0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce", "transactionLink": "", "addressAdditionalData": { "name": "", "displayName": "", "value": "", "requestId": "" } } } ``` **SDK Code** ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/orders" payload = { "requestId": "" } headers = { "x-api-key": "", "x-user-ip": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/orders'; const options = { method: 'POST', headers: {'x-api-key': '', 'x-user-ip': '', 'Content-Type': 'application/json'}, body: '{"requestId":""}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/orders" payload := strings.NewReader("{\n \"requestId\": \"\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/orders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"requestId\": \"\"\n}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-gateway-stg.transak.com/api/v2/orders") .header("x-api-key", "") .header("x-user-ip", "") .header("Content-Type", "application/json") .body("{\n \"requestId\": \"\"\n}") .asString(); ``` ```php Success request('POST', 'https://api-gateway-stg.transak.com/api/v2/orders', [ 'body' => '{ "requestId": "" }', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/orders"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"requestId\": \"\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "x-api-key": "", "x-user-ip": "", "Content-Type": "application/json" ] let parameters = ["requestId": ""] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/orders")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```